package com.example.soulfood_assignment2;

import android.content.Intent;
import android.support.v7.app.AppCompatActivity;
import android.os.Bundle;
import android.view.View;
import android.widget.ArrayAdapter;
import android.widget.Spinner;

public class build_playlist extends AppCompatActivity {

    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.build_playlist);

        String[] vibes = new String[] {"None", "Chilled", "Energetic", "Relaxing"};
        Spinner vibesSpinner = findViewById(R.id.vibe_dropdown);
        ArrayAdapter<String> vibesAdapter = new ArrayAdapter<String>(this, android.R.layout.simple_spinner_dropdown_item, vibes);
        vibesSpinner.setAdapter(vibesAdapter);

        String[] cuisines = new String[] {"None", "Chinese", "Thai", "Indian", "Italian", "American", "French", "Spanish"};
        Spinner cuisineSpinner = findViewById(R.id.cuisine_dropdown);
        ArrayAdapter<String> cuisineAdapter = new ArrayAdapter<String>(this, android.R.layout.simple_spinner_dropdown_item, cuisines);
        cuisineSpinner.setAdapter(cuisineAdapter);

        String[] timeOfDay = new String[] {"None", "Breakfast", "Lunch", "Dinner"};
        Spinner timeOfDaySpinner = findViewById(R.id.tod_dropdown);
        ArrayAdapter<String> timeOfDayAdapter = new ArrayAdapter<String>(this, android.R.layout.simple_spinner_dropdown_item, timeOfDay);
        timeOfDaySpinner.setAdapter(timeOfDayAdapter);

        String[] occasions = new String[] {"None", "Dinner Party", "Family Meal", "Solo Meal"};
        Spinner occasionsSpinner = findViewById(R.id.occasion_dropdown);
        ArrayAdapter<String> occasionsAdapter = new ArrayAdapter<String>(this, android.R.layout.simple_spinner_dropdown_item, occasions);
        occasionsSpinner.setAdapter(occasionsAdapter);

    }

    public void buildPlaylistOnClick(View view) {
        Intent intent = new Intent(this, PlaylistView.class);
        startActivity(intent);
    }


}

